Bug 72364 - PDF import fails on Unix on CIFS mounts (windows shares)
Summary: PDF import fails on Unix on CIFS mounts (windows shares)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: haveBacktrace, implementationError
Depends on:
Blocks: Network
  Show dependency treegraph
 
Reported: 2013-12-05 16:47 UTC by Lionel Elie Mamane
Modified: 2017-12-18 03:27 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
backtrace (deleted)
2013-12-05 16:47 UTC, Lionel Elie Mamane
Details
backtrace (deleted)
2013-12-05 16:54 UTC, Lionel Elie Mamane
Details
backtrace (12.05 KB, text/plain)
2013-12-08 05:07 UTC, Lionel Elie Mamane
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lionel Elie Mamane 2013-12-05 16:47:16 UTC
Created attachment 90315 [details]
backtrace

Trying to import a PDF that is on a CIFS mount (windows share / network filesystem), LibreOffice aborts. Copying the file the local disk and then opening works.

Reproduced with 4.1 (Debian package and my dev tree) and with 4.2 (my dev tree).
Comment 1 Lionel Elie Mamane 2013-12-05 16:54:35 UTC
Created attachment 90316 [details]
backtrace
Comment 2 Maxim Monastirsky 2013-12-05 17:03:53 UTC
Can't reproduce with 4.1.3 & master build under Fedora 19. Mounted using 'mount -t cifs'. The share itself is on Windows 7.
Comment 3 Tollef Fog Heen 2013-12-07 21:16:23 UTC
The content of attachment 90316 [details] has been deleted by
    Tollef Fog Heen <tfheen@err.no>
who provided the following reason:

Confidential

The token used to delete this attachment was generated at 2013-12-07 21:16:14 UTC.
Comment 4 Lionel Elie Mamane 2013-12-08 05:07:03 UTC
Created attachment 90441 [details]
backtrace
Comment 5 Tollef Fog Heen 2013-12-08 19:00:09 UTC
The content of attachment 90315 [details] has been deleted by
    Tollef Fog Heen <tfheen@err.no>
who provided the following reason:

Confidential

The token used to delete this attachment was generated at 2013-12-08 18:59:59 UTC.
Comment 6 Alex Jordan 2014-10-27 00:23:36 UTC
Marking as WORKSFORME based on comment #2. Lionel, if this issue is still reproducible for you on the latest version of LibreOffice, then feel free to open this issue again by setting the status to UNCONFIRMED. You may also want to provide some more details on your CIFS setup.

Thanks for reporting a LibreOffice bug!
Comment 7 Lionel Elie Mamane 2014-10-27 02:21:16 UTC
Still reproducible with master (4.4.0.alpha) of 2014-10-05:

commit ee12e843c609e747be2f7d5a89ffd889c78378de
Author: Julien Nabet <serval2412@yahoo.fr>  2014-10-05 21:14:46
Committer: Lionel Elie Mamane <lionel@mamane.lu>  2014-10-09 18:22:15

    fdo#84073: change ODBC/JDBC escapes to lowercase
    
    Change-Id: I19ce3acb9575fbef8273bbd84cb4dc322e101ac8



CIFS mount options:

\\SERVER\SHARE on /home/USER/mnt/SHARE type cifs (rw,relatime,vers=1.0,cache=strict,username=USER,domain=DOMAIN,uid=1000,forceuid,gid=1000,forcegid,addr=X.Y.Z.A,file_mode=0600,dir_mode=0700,nounix,rsize=61440,wsize=65536,actimeo=1)

CIFS server is a Windows 2008R2
Comment 8 Matthew Francis 2015-04-25 02:50:21 UTC
Confirmed on Ubuntu 14.04 (cifs mount -> Samba)

This is related to file locking on a cifs mount with the "nounix" option, which among other things disables POSIX locking.

e.g.
  sudo mount //SOMESERVER/SOMEEXPORT -t cifs -o username=MYUSERNAME,uid=1000,nounix /mnt/temp

  SAL_ENABLE_FILE_LOCKING=1 /opt/libreoffice4.4/program/soffice.bin /mnt/temp/SOMEFILE.pdf

fails, while just

  /opt/libreoffice4.4/program/soffice.bin /mnt/temp/SOMEFILE.pdf

succeeds (the "soffice" wrapper script sets SAL_ENABLE_FILE_LOCKING)
Comment 9 Matthew Francis 2015-04-25 02:55:32 UTC
Also occurs in LO 3.3.0, but the PDF import feature is not present in OOo 3.3.0 so this is not inherited but an issue dating to its original implementation
-> Version:3.3.0 release
-> + Whiteboard: implementationError
Comment 10 Robinson Tryon (qubit) 2015-12-10 10:05:08 UTC Comment hidden (obsolete)
Comment 11 QA Administrators 2017-12-18 03:27:03 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug